package com.bohuikeji.frame.module.admin.entity.auth;

import com.bohuikeji.frame.module.admin.base.SuperBase;
import com.bohuikeji.frame.module.admin.entity.sys.SysUser;

import java.util.List;

/**
 * 字段权限处理
 * @author 10552
 */
public abstract class BaseAuth extends SuperBase {

    /**
     * 子类必须实现获取Value的方法
     * @param user
     * @return
     */
    abstract public String getValue(SysUser user);

    /**
     * 集合转为String对象，用逗号分隔
     *【注意】保证Object可以转为String
     * @param ids
     * @return
     */
    protected String coverListByStr(List<Object> ids){
        StringBuilder str=new StringBuilder("");
        for(Object id:ids){
            str.append(id);
            str.append(",");
        }
        if(ids.size()>0){
            str.deleteCharAt(str.length()-1);
        }
        return str.toString();
    }
}
